Possible to use open source version to build a game updater?



  • Hi, I'm wondering if it's possible to use QT to build a cross-platform game updater without a crazy $10k/year fee.
    Basically, there would be 2 separate applications:

    1. The game
      • Built using Unreal Engine
      • Closed source
      • Not free
    1. The updater
      • Built using QT?
      • Is started by the user, applies patches from a webserver, starts the game, closes
      • Contains no interesting code, can be open source, doesn't really matter
      • Must be deployed as single executable with no dependencies

    Would open sourcing the updater be enough to meet LGPL requirements? The game is not linked to any QT stuff.


  • Moderators

    @Zeblote said in Possible to use open source version to build a game updater?:

    Must be deployed as single executable with no dependencies

    This is only possible if you comply with LGPL (make your software open source). Qt can be licensed as LGPL 2.1 (3.0 for some parts). This means you can safely dynamically link against Qt, but you can't statically link if your software is closed source.



  • @jsulm said in Possible to use open source version to build a game updater?:

    @Zeblote said in Possible to use open source version to build a game updater?:

    Must be deployed as single executable with no dependencies

    This is only possible if you comply with LGPL (make your software open source). Qt can be licensed as LGPL 2.1 (3.0 for some parts). This means you can safely dynamically link against Qt, but you can't statically link if your software is closed source.

    Yes, like I said, the updater can be open source. It's not a very interesting program so there'd be no point having it closed source anyways. My question is more whether this is enough since its only purpose is to download and start the closed-source game, which does not link to QT at all.

    Is there enough separation between these for them to count as separate programs, with only one of them using LGPL?


  • Moderators

    @Zeblote Should be fine as your updater just starts the game - it does not extend its functionality (means: your game is not derived work).


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.